Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
SceneRenderQueue Class Reference

`#include <SceneRenderQueue.h>`

Inheritance diagram for SceneRenderQueue:

## Public Types
enum | RenderSort { RENDER_SORT_INVALID, RENDER_SORT_OFF, RENDER_SORT_NEWEST, RENDER_SORT_OLDEST, RENDER_SORT_BATCH, RENDER_SORT_GROUP, RENDER_SORT_XAXIS, RENDER_SORT_YAXIS, RENDER_SORT_ZAXIS, RENDER_SORT_INVERSE_XAXIS, RENDER_SORT_INVERSE_YAXIS, RENDER_SORT_INVERSE_ZAXIS }
typedef Vector< SceneRenderRequest * > | typeRenderRequestVector

## Public Member Functions
| SceneRenderQueue ()
virtual | ~SceneRenderQueue ()
virtual void | resetState (void)
SceneRenderRequest * | createRenderRequest (void)
typeRenderRequestVector & | getRenderRequests (void)
void | setSortMode (RenderSort sortMode)
RenderSort | getSortMode (void) const
void | setStrictOrderMode (const bool strictOrderMode)
bool | getStrictOrderMode (void) const
void | sort (void)

## Static Public Member Functions
static RenderSort | getRenderSortEnum (const char *label)
static const char * | getRenderSortDescription (const RenderSort &sortMode)

## Static Public Attributes
static EnumTable | renderSortTable

## Member Typedef Documentation

typedef Vector<SceneRenderRequest*> typeRenderRequestVector

## Member Enumeration Documentation

enum RenderSort

Enumerator
RENDER_SORT_INVALID |
RENDER_SORT_OFF |
RENDER_SORT_NEWEST |
RENDER_SORT_OLDEST |
RENDER_SORT_BATCH |
RENDER_SORT_GROUP |
RENDER_SORT_XAXIS |
RENDER_SORT_YAXIS |
RENDER_SORT_ZAXIS |
RENDER_SORT_INVERSE_XAXIS |
RENDER_SORT_INVERSE_YAXIS |
RENDER_SORT_INVERSE_ZAXIS |

## Constructor & Destructor Documentation

SceneRenderQueue | ( |  | ) |
| inline

virtual ~SceneRenderQueue | ( |  | ) |
| inline virtual

## Member Function Documentation

SceneRenderRequest* createRenderRequest | ( | void |  | ) |
| inline

typeRenderRequestVector& getRenderRequests | ( | void |  | ) |
| inline

const char * getRenderSortDescription | ( | const RenderSort & | sortMode | ) |
| static

SceneRenderQueue::RenderSort getRenderSortEnum | ( | const char * | label | ) |
| static

RenderSort getSortMode | ( | void |  | ) | const
| inline

bool getStrictOrderMode | ( | void |  | ) | const
| inline

virtual void resetState | ( | void |  | ) |
| inline virtual

Implements IFactoryObjectReset.

void setSortMode | ( | RenderSort | sortMode | ) |
| inline

void setStrictOrderMode | ( | const bool | strictOrderMode | ) |
| inline

void sort | ( | void |  | ) |
| inline

## Member Data Documentation

EnumTable renderSortTable
| static

The documentation for this class was generated from the following files:

- 2d/scene/SceneRenderQueue.h
- 2d/scene/SceneRenderQueue.cpp